use lib "$ENV{FIREDIR}/SCRIPTS";

use strict;
use Subs;

my ($fn, $outfile, @samples) = @ARGV;

my $ta = Table->new;
$ta->loadFile($fn);
my $a_ta_M = $ta->getArray();
my $a_ta_H = shift @$a_ta_M ;
my $dummy = shift @$a_ta_H;

my $a_new_M;
for(my $i=0 ; $i<@$a_ta_M ; $i++)
{
    $a_new_M->[$i]->[0] = $a_ta_M->[$i]->[0];
}
my $a_new_H;
for(my $j=0 ; $j<@$a_ta_H ; $j++)
{
    if (grep {$a_ta_H->[$j] =~ /$_/} (@samples))
    {
	push(@$a_new_H, $a_ta_H->[$j]) ;
	for(my $i=0 ; $i<@$a_ta_M ; $i++)
	{
	    push(@{$a_new_M->[$i]}, $a_ta_M->[$i]->[$j]);
	}

    }
}
unshift(@$a_new_H, $dummy);
unshift(@$a_new_M, $a_new_H);
Subs::saveTable($a_new_M, $outfile);
